Debian Bug report logs - #727052
ITP: libanyevent-gearman-perl -- Asynchronous Gearman client/worker module for AnyEvent applications

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Raphael Geissert <geissert@debian.org>

Date: Mon, 21 Oct 2013 21:30:02 UTC

Owned by: marius@ieval.ro

Severity: wishlist

Fixed in version libanyevent-gearman-perl/0.10-1

Done: Marius Gavrilescu <marius@ieval.ro>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org:
Bug#727052; Package wnpp. (Mon, 21 Oct 2013 21:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Geissert <geissert@debian.org>:
New Bug report received and forwarded. Copy sent to debian-perl@lists.debian.org, wnpp@debian.org. (Mon, 21 Oct 2013 21:30:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphael Geissert <geissert@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: libanyevent-gearman-perl -- Asynchronous Gearman client/worker module for AnyEvent applications
Date: Mon, 21 Oct 2013 23:27:09 +0200
Package: wnpp
Severity: wishlist
X-Debbugs-CC: debian-perl@lists.debian.org

Hi,

* Package name    : libanyevent-gearman-perl
  Version         : 0.10
  Upstream Author : Pedro Melo <melo@cpan.org>
* URL             : http://search.cpan.org/~melo/AnyEvent-Gearman-0.10/
* License         : GPL + Artistic
  Programming Lang: Perl
  Description     : Asynchronous Gearman client/worker module for
AnyEvent applications
AnyEvent::Gearman provides client and worker modules to work on an
environment using the  Gearman job server and event-based perl
applications using AnyEvent.

As always, I'd be very thankful if the oh so mighty perl group could
package this module :-)
Would it be possible?

Thanks in advance!

Cheers,
-- 
Raphael Geissert - Debian Developer
www.debian.org - get.debian.net



Information forwarded to debian-bugs-dist@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org:
Bug#727052; Package wnpp. (Tue, 22 Oct 2013 04:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marius Gavrilescu <marius@ieval.ro>:
Extra info received and forwarded to list. Copy sent to debian-perl@lists.debian.org, wnpp@debian.org. (Tue, 22 Oct 2013 04:33:08 GMT) Full text and rfc822 format available.

Message #10 received at 727052@bugs.debian.org (full text, mbox):

From: Marius Gavrilescu <marius@ieval.ro>
To: Raphael Geissert <geissert@debian.org>
Cc: 727052@bugs.debian.org
Subject: Re: Bug#727052: RFP: libanyevent-gearman-perl -- Asynchronous Gearman client/worker module for AnyEvent applications
Date: Tue, 22 Oct 2013 07:29:42 +0300
Raphael Geissert <geissert@debian.org> writes:

> Would it be possible?

Sure!

Control: retitle -1 ITP: libanyevent-gearman-perl -- Asynchronous Gearman client/worker module for AnyEvent applications
Control: owner -1 !
-- 
Marius Gavrilescu



Changed Bug title to 'ITP: libanyevent-gearman-perl -- Asynchronous Gearman client/worker module for AnyEvent applications' from 'RFP: libanyevent-gearman-perl -- Asynchronous Gearman client/worker module for AnyEvent applications' Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Tue, 22 Oct 2013 05:21:09 GMT) Full text and rfc822 format available.

Owner recorded as marius@ieval.ro. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Tue, 22 Oct 2013 05:21:10 GMT) Full text and rfc822 format available.

Message sent on to Raphael Geissert <geissert@debian.org>:
Bug#727052. (Thu, 24 Oct 2013 16:36:09 GMT) Full text and rfc822 format available.

Message #17 received at 727052-submitter@bugs.debian.org (full text, mbox):

From: Marius Gavrilescu <marius@ieval.ro>
To: Daisuke Murase <typester@cpan.org>, Daisuke Murase <typester@cpan.org>
Cc: 727052-submitter@bugs.debian.org
Subject: AnyEvent::Gearman test failure in t/04_reconnect.t
Date: Thu, 24 Oct 2013 19:33:24 +0300
[Message part 1 (text/plain, inline)]
Hello AnyEvent::Gearman maintainers.

I am packaging this module for Debian, but one of the tests in
t/04_reconnect.t is failing. The make test output is:

[make-test (text/plain, inline)]
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'inc', 'blib/lib', 'blib/arch')" t/*.t
t/00_compile.t ........ 1/? # Soft dependency versions:
#     Any::Moose: 0.21
#     Mouse: 1.12
t/00_compile.t ........ ok   
t/01_api.t ............ ok   
t/02_client_worker.t .. ok   
t/03_simple.t ......... ok   
t/04_reconnect.t ...... 1/? Connection failed: Connection refused at /home/marius/AnyEvent-Gearman-0.10/blib/lib/AnyEvent/Gearman/Connection.pm line 112.

#   Failed test 'sum ok'
#   at t/04_reconnect.t line 59.
#          got: 'fail'
#     expected: '8'
# Looks like you failed 1 test of 5.
Unable to initialize connection to gearmand at /usr/share/perl5/Gearman/Worker.pm line 116.
t/04_reconnect.t ...... Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/5 subtests 
t/05_prefix.t ......... ok   
t/09_constants.t ...... ok     

Test Summary Report
-------------------
t/04_reconnect.t    (Wstat: 256 Tests: 5 Failed: 1)
  Failed test:  5
  Non-zero exit status: 1
Files=7, Tests=58,  7 wallclock secs ( 0.07 usr  0.01 sys +  1.21 cusr  0.14 csys =  1.43 CPU)
Result: FAIL
Failed 1/7 test programs. 1/58 subtests failed.
make: *** [test_dynamic] Error 255
[Message part 3 (text/plain, inline)]
I have worked around this bug by adding a sleep statement, as seen in
this patch:

[patch (text/plain, inline)]
Description: Fix t/04_reconnect.t
 The reconnect test fails due to a race condition. This patch sleeps for
 7 seconds (randomly chosen), and the test passes.
Author: Marius Gavrilescu <marius@ieval.ro>
Forwarded: no
Last-Update: 2013-10-24
--- a/t/04_reconnect.t
+++ b/t/04_reconnect.t
@@ -43,6 +43,7 @@
         ok !$js->connected, 'disconnect ok';
 
         $js->dead_time(0); # trick for reconnect soon
+        sleep 7;
     }
 
     {
[Message part 5 (text/plain, inline)]
This is definitely an inelegant solution. I am therefore looking for a
better one, what would you suggest?
-- 
Marius Gavrilescu

[Message part 6 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Mon, 10 Mar 2014 15:39:05 GMT) Full text and rfc822 format available.

Reply sent to Marius Gavrilescu <marius@ieval.ro>:
You have taken responsibility. (Wed, 12 Mar 2014 16:03:24 GMT) Full text and rfc822 format available.

Notification sent to Raphael Geissert <geissert@debian.org>:
Bug acknowledged by developer. (Wed, 12 Mar 2014 16:03:24 GMT) Full text and rfc822 format available.

Message #24 received at 727052-close@bugs.debian.org (full text, mbox):

From: Marius Gavrilescu <marius@ieval.ro>
To: 727052-close@bugs.debian.org
Subject: Bug#727052: fixed in libanyevent-gearman-perl 0.10-1
Date: Wed, 12 Mar 2014 16:00:07 +0000
Source: libanyevent-gearman-perl
Source-Version: 0.10-1

We believe that the bug you reported is fixed in the latest version of
libanyevent-gearman-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 727052@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marius Gavrilescu <marius@ieval.ro> (supplier of updated libanyevent-gearman-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 10 Mar 2014 14:45:05 +0200
Source: libanyevent-gearman-perl
Binary: libanyevent-gearman-perl
Architecture: source all
Version: 0.10-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Marius Gavrilescu <marius@ieval.ro>
Description: 
 libanyevent-gearman-perl - asynchronous Gearman client/worker module for AnyEvent applicatio
Closes: 727052
Changes: 
 libanyevent-gearman-perl (0.10-1) unstable; urgency=low
 .
   * Initial Release. (Closes: #727052)
Checksums-Sha1: 
 920d06202de93895d8f33fc05188a0b36d2188bb 2461 libanyevent-gearman-perl_0.10-1.dsc
 45a1411f952c7fa55c4a0a8b19ca788d66ea4ac9 68099 libanyevent-gearman-perl_0.10.orig.tar.gz
 bc4b34d46356bf4b3acc02fd5de0a3b82e4cd002 2100 libanyevent-gearman-perl_0.10-1.debian.tar.xz
 966e51350019811992a56ee3e3fe53dc565db453 33590 libanyevent-gearman-perl_0.10-1_all.deb
Checksums-Sha256: 
 7a177017e55d9e3c85a3811e4fc44f5e093250407d522f03fcd3b3ae6596f683 2461 libanyevent-gearman-perl_0.10-1.dsc
 80842155dc796efc55210b002ae6454f9e7857ecb48627f572d936691610364e 68099 libanyevent-gearman-perl_0.10.orig.tar.gz
 a9827a06d6af8e2b9762b6a5e27a6c31a71d12526ac32effc21bb28207bae308 2100 libanyevent-gearman-perl_0.10-1.debian.tar.xz
 e7e286fa9b5fb96af92ee632555e6a63dc44c38ac63d3c3e35b62034cf9c40d6 33590 libanyevent-gearman-perl_0.10-1_all.deb
Files: 
 121de9a9795616852e6601baeecc668f 2461 perl optional libanyevent-gearman-perl_0.10-1.dsc
 32e591dbcd0980e64169e7cacf054db3 68099 perl optional libanyevent-gearman-perl_0.10.orig.tar.gz
 ad85d09cf5a175af6bbb4a56ed88fc2c 2100 perl optional libanyevent-gearman-perl_0.10-1.debian.tar.xz
 25fb4694df7839bb262ee863a9637979 33590 perl optional libanyevent-gearman-perl_0.10-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQJrBAEBCgBVBQJTHduhThSAAAAAAB0AKGlzc3Vlci1mcHJAZ3BnLmNvbW9kby5w
cml2LmF0RDFFMTMxNkU5M0E3NjBBODEwNEQ4NUZBQkIzQTY4MDE4NjQ5QUEwNgAK
CRC7OmgBhkmqBvhvEACwa3dGhUwFOJEVjl/N+aEBmPROJWGRaoXv1ZVZ2zWVBYOH
b5M1Oc8NF89ejx5J2JIuk0h2wpiJ/MP+i5a+YnDg449xYmAE+uGNjeX++qxXZfXm
kJxCr+kShwphRDwauF9WpizpP1xXsru0SMyebbpDBjlxvh0ebzGI/783F1rwk3s5
XgJqVyJScKl1ZEdVcntVnOjCD1YRTGC2dCgT3VCEFd6RMpnT6GBcEoOigQISRJPD
U6KOXZmdM7KZTIfnimZSxgDgQZMdkilp/4gdSJS6BZgovAaEsXeQCnf4G5rgZQEQ
PJ4j4XwGZCghx8V4A+5JQdM+mNcvB3Xp0Z2rWPMlNYgsbd3mkuLnqlnbc/0/8MRR
YaAAvr2AeCwjzjRvud144oR2c8mgj1YX/mfWnYuGeWWeoCtkQOMDm54F+WfWvPRU
ZDEapVIs6erP4P2bMnprGWQKedsAb7KM23nJC/0SzO0z9upE1vw5mofrYp+piwVL
VXj2peQkdECLvUJRSDxxHHpzsVUnNDtH2GUGLWKX3e97M2Z8wWO70eDoAfzBCXAS
jRjg2nBp/qFjQcqEyxaKB+Izjlh4HX6pADJP7YbutwZvKHkYkIvWTr5wFWfIi5Rj
4kPBFxPM+vBWXksORZtUy8+rOAGsDwoX6mCAOL1iDqkjwlSOVpc3XxLmyL2N4Q==
=KtnG
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 10 Apr 2014 07:28:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:27:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.